%define pkg kdesupport
%define is_release 1
%define is_preview 0
%define VER 2.1
%define DATE 20010227
%define pcre 3.4
Summary: K Desktop Environment - Support Libraries
%if %{is_preview}
Name: %{pkg}2
Prefix: /usr/lib/kde2
%else
Name: %{pkg}
Prefix: %{_prefix}
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/unstable/CVS/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: cvs://cvs.kde.org/%{pkg}-%{DATE}.tar.bz2
%endif
Release: 3
Epoch: 6
Source1: kde.sh
Source2: kde.csh
Source3: ftp://projects.sourceforge.net/pub/pcre/pcre-%{pcre}.tar.bz2
Patch: kdesupport-crappy-cpp.patch
Group: System Environment/Libraries
Copyright: LGPL/GPL
BuildRoot: /var/tmp/%{pkg}-buildroot
Requires: libungif libjpeg >= 6b-5 gdbm audiofile >= 0.1.9 qt >= 2.2.0
BuildRequires: qt-devel >= 2.2.1
Requires(post,postun): /sbin/ldconfig

%package devel
Group: Development/Libraries
Summary: Header files and documentation for KDE Support Libraries
Requires: qt-devel >= 2.2.1, %{name} = %{version}

%description devel
This package includes some header files you will need to compile
applications for KDE.

%description
Support Libraries for the K Desktop Environment, but not part of it.

At the moment, this package contains mimelib and some extra KDE initialization
files geared especially for Red Hat Linux systems.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{pkg}-%{version} -a 3
%else
%setup -q -n %{pkg} -a 3
%endif
%patch -p1 -b .gcc3
[ -f Makefile.cvs ] && make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" \
./configure --prefix=%{prefix} \
	--disable-path-check --without-libjpeg --without-libgif --without-libgdbm  --without-audiofile --enable-final --disable-debug --with-aps
make -j $CPUS
cd pcre-%{pcre}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	--includedir=/usr/include/pcre --mandir=%{_mandir}

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
cd pcre-%{pcre}
make DESTDIR=$RPM_BUILD_ROOT install
cd ..
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*
[ ! -e $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so ] && ln -s libmimelib.so.1 $RPM_BUILD_ROOT%{prefix}/lib/libmimelib.so

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
sed -e "s,@KDEPREFIX@,%{prefix},g" $RPM_SOURCE_DIR/kde.sh >$RPM_BUILD_ROOT/etc/profile.d/kde.sh
sed -e "s,@KDEPREFIX@,%{prefix},g" $RPM_SOURCE_DIR/kde.csh >$RPM_BUILD_ROOT/etc/profile.d/kde.csh
chmod 0755 $RPM_BUILD_ROOT/etc/profile.d/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{pkg}

%post
if [ -f /etc/ld.so.conf ]; then
	grep -q '%{prefix}/lib' /etc/ld.so.conf || \
	echo "%{prefix}/lib" >> /etc/ld.so.conf
else
	echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
	if ! [ -d %{prefix}/lib ] ; then
	mv /etc/ld.so.conf /etc/ld.so.conf.orig
	grep -v '^%{prefix}/lib$' /etc/ld.so.conf.orig > /etc/ld.so.conf
	rm /etc/ld.so.conf.orig
	fi
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%config /etc/profile.d/*
%{_mandir}/man1/*
%{_bindir}/pcregrep

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{prefix}/include/*
%{_mandir}/man3/*
%{_bindir}/pcre-config

%changelog
* Sun Mar 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-3
- fix pcre stuff

* Fri Feb 23 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add pcre, used by kjs

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build with extremely pedantic preprocessors
- Remove desktopconv, it should go to kdebase

* Wed Jan 25 2001 Matt Wilson <msw@redhat.com>
- update

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update - now that libaps is gone, this should save quite
  a lot of space.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the old kdesupport-redhat stuff
- Remove config files, they should be in kdebase (#22601)

* Sat Jan  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up the config files in /etc/skel/.kde

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- First package in the 3rd Millennium! Beat that kind of first post,
  Slashdot people! ;)

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta

* Thu Nov 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- s/Prereq/Requires(post,postun)/ 

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD branch

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up %%description - uulib and QwSpriteField are obsolete.
- Fix desktopconv crash (Bug #20010)

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current KDE_2_0_BRANCH, now that the major ".0 release" bugs
  have been fixed
- revert to using single-click after getting too many mails complaining about
  the change
- clean up the kdesupport-redhat vs. kde-skel mess, there's no need whatsoever
  for having two files for this
- clean up the stuff in skel - we really really don't need to include some
  KDE 1.x config files, and we shouldn't include RecentDocument lists
- fix permissions on /etc/skel stuff

* Wed Oct 25 2000 Than Ngo <than@redhat.com>
- fixed KDE PATH setting (Bug #11266)
- fixed KDE RedHat configuration
- call ldconfig if package is removed or updated

* Tue Oct 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up icons on desktop
- Add a klpq config file so the user doesn't need to know we're using
  LPRng rather than BSD or cups.

* Tue Oct 17 2000 Harald Hoyer <harald@redhat.com>
- added /etc/X11/applnk to the start menu

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- some spec file fixes

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS, fixes major configure bug

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up version number, this is not the official 1.94 release

* Thu Sep 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the QwSpritefield.so symlink (the library doesn't exist anymore)

* Mon Aug 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93
- get rid of kde-qt-addon

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot
- remove all configuration stuff for now (needs to be done in main kdesupport)

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- add preconfiguration to KDE2

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- some fixes to spec file

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kpanel->kicker support to desktopconv
- get rid of the broken .kderc in /etc/skel
- new snapshot

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- new snapshot

* Thu Jun 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move *.so and *.la to -devel
- Use a real file list rather than autogenerating it

* Thu Jun 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move *.so and *.la to -devel

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- argh, fix a stupid typo in the spec file

* Tue Jun 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move Desktop files to .kde/Desktop
- add desktopconv (converter from KDE 1.1.x ~/Desktop to 2.0 ~/.kde/Desktop)
  and run it in %%triggerpostun
- update
- source /etc/profile.d/qt.sh rather than hardcoding QTDIR

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current
- work around compiler bugs on ia64

* Tue Apr  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add kde-qt-addons
- Don't compile audiofile, we have that in a separate package

* Tue Oct 12 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot
- split into kdesupport and -devel
- fix handling of RPM_OPT_FLAGS
- Redo the redhat-support files for 2.0
- --enable-final

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- fix up kde.sh and kde.csh scripts for relocatibility
- put docs under %{prefix}/doc/kde

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- updated templates from kdebase

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- packaged 1.1.2 release

* Mon Jul 11 1999 Preston Brown <pbrown@redhat.com>
- fixed broken kde.csh startup script.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- quite a few bugfixes and the latest snapshot

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- updated some of the default configuration information
- made the printer icon use klpq not lpr

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- stop warning message at installation time if ld.so.conf nonexistent

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fixed substitution of KDEPREFIX in shell scripts

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- snapshot from stable tree, improvements

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.
- removed installation of /etc/skel/.Xclients.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to KDE 1.1 final.

* Tue Jan 05 1998 Preston Brown <pbrown@redhat.com>
- again, integrated changes from Duncan Haldane
